
/** Descriptive File Name:   main.c for Lab 1a

  @ Author
    Richard Wall
 
  @ Date
    Created:    May 28, 2016
    Verified:   May 16, 2017
	
  @Development Environment
    MPLAB X IDE x3.61 - http://www.microchip.com/mplab/mplab-x-ide 
	XC32 1.43 - http://www.microchip.com/mplab/compilers
	PLIB 3/7/20162 - http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library

  @Company
    Digilent Inc.

  @File Name
    main.c

  @Summary
	Control of Led8 - the tri-color LED

  @Description
	This project uses slide switches SW0 through SW2 to control the colors
	of the tri-color LED8 on the Basys MX3 Trainer board. 
  @Remarks
    May use XC32 peripheral library functions. See 
 http://ww1.microchip.com/downloads/en/DeviceDoc/32bitPeripheralLibraryGuide.pdf
 http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library
 *************************************************************************** */
#include "config_bits.h"
#include "hardware.h"		// IO Pin macros
#include <plib.h>

int main(void) 
{
    Hardware_Setup();       // Configure Basys MX3 board IO  
    while(1)
    {                
        Set_LED8_R(SW0());
        Set_LED8_B(SW1());
        Set_LED8_G(SW2());
    }
    return (EXIT_FAILURE);  // Code execution should not reach this line of code
}
