/* 
 * File:   Pmod.h
 * Author: rwall
 *
 * Created on December 12, 2016, 11:01 AM
 */

#ifndef PMOD_H
    #define	PMOD_H

/* Macros to configure PIC pins as outputs for Pmod connector JA */
    #define JA1_bit     BIT_2   // RC2
    #define JA2_bit     BIT_1   // RC1
    #define JA3_bit     BIT_4   // RC4
    #define JA4_bit     BIT_6   // RG6
    #define JA7_bit     BIT_3   // RC3
    #define JA8_bit     BIT_7   // RG7
    #define JA9_bit     BIT_8   // RG8
    #define JA10_bit    BIT_9   // RG9

    #define setJA1(a);  {if(a) LATCSET = JA1_bit; else LATCCLR = JA1_bit;} // PORTSetBits(IOPORT_C, JA1_bit)  // RC2
    #define setJA2(a);  {if(a) LATCSET = JA2_bit; else LATCCLR = JA2_bit;} // PORTSetBits(IOPORT_C, JA2_bit)  // RC1
    #define setJA3(a);  {if(a) LATCSET = JA3_bit; else LATCCLR = JA3_bit;} // PORTSetBits(IOPORT_C, JA3_bit)  // RC4
    #define setJA4(a);  {if(a) LATGSET = JA4_bit; else LATGCLR = JA4_bit;} // PORTSetBits(IOPORT_G, JA4_bit)  // RG6
    #define setJA7(a);  {if(a) LATGSET = JA7_bit; else LATGCLR = JA7_bit;} // PORTSetBits(IOPORT_C, JA7_bit)  // RC3
    #define setJA8(a);  {if(a) LATGSET = JA8_bit; else LATGCLR = JA8_bit;} // PORTSetBits(IOPORT_G, JA8_bit)  // RG7
    #define setJA9(a);  {if(a) LATGSET = JA9_bit; else LATGCLR = JA9_bit;} // PORTSetBits(IOPORT_G, JA9_bit)  // RG8
    #define setJA10(a); {if(a) LATGSET = JA10_bit; else LATGCLR = JA10_bit;} // PORTSetBits(IOPORT_G, JA10_bit) // RG9

    #define invJA1()    PORTToggleBits(IOPORT_C, JA1_bit) // RC2
    #define invJA2()    PORTToggleBits(IOPORT_C, JA2_bit) // RC1
    #define invJA3()    PORTToggleBits(IOPORT_C, JA3_bit) // RC4
    #define invJA4()    PORTToggleBits(IOPORT_G, JA4_bit) // RG6
    #define invJA7()    PORTToggleBits(IOPORT_C, JA7_bit) // RC3
    #define invJA8()    PORTToggleBits(IOPORT_G, JA8_bit) // RG7
    #define invJA9()    PORTToggleBits(IOPORT_G, JA9_bit) // RG8
    #define invJA10()   PORTToggleBits(IOPORT_G, JA10_bit) // RG9


    #define JB1_bit     BIT_9   // RD9
    #define JB2_bit     BIT_11  // RD11
    #define JB3_bit     BIT_10  // RD10
    #define JB4_bit     BIT_8   // RD8
    #define JB7_bit     BIT_14  // RC14
    #define JB8_bit     BIT_0   // RD0
    #define JB9_bit     BIT_1   // RD1
    #define JB10_bit    BIT_13  // RC13

    #define setJB1(a);  {if(a) LATDSET = JB1_bit; else LATDCLR = JB1_bit;} // PORTSetBits(IOPORT_D, JB1_bit)  // RD9
    #define setJB2(a);  {if(a) LATDSET = JB2_bit; else LATDCLR = JB2_bit;} // PORTSetBits(IOPORT_D, JB2_bit)  // RD11
    #define setJB3(a);  {if(a) LATDSET = JB3_bit; else LATDCLR = JB3_bit;} // PORTSetBits(IOPORT_D, JB3_bit)  // RD10
    #define setJB4(a);  {if(a) LATDSET = JB4_bit; else LATDCLR = JB4_bit;} // PORTSetBits(IOPORT_D, JB4_bit)  // RD8
    #define setJB7(a);  {if(a) LATCSET = JB7_bit; else LATCCLR = JB7_bit;} // PORTSetBits(IOPORT_C, JB7_bit)  // RC14
    #define setJB8(a);  {if(a) LATDSET = JB8_bit; else LATDCLR = JB8_bit;} // PORTSetBits(IOPORT_D, JB8_bit)  // RD0
    #define setJB9(a);  {if(a) LATDSET = JB9_bit; else LATDCLR = JB9_bit;} // PORTSetBits(IOPORT_D, JB9_bit)  // RD1
    #define setJB10(a); {if(a) LATDSET = JB10_bit; else LATDCLR = JB10_bit;} // PORTSetBits(IOPORT_D, JB10_bit) // RC13

    #define invJB1();   PORTToggleBits(IOPORT_D, JB1_bit) // RD9
    #define invJB2();   PORTToggleBits(IOPORT_D, JB2_bit) // RD11
    #define invJB3();   PORTToggleBits(IOPORT_D, JB3_bit) // RD10
    #define invJB4();   PORTToggleBits(IOPORT_D, JB4_bit) // RD8
    #define invJB7();   PORTToggleBits(IOPORT_C, JB7_bit) // RC14
    #define invJB8();   PORTToggleBits(IOPORT_D, JB8_bit) // RD0
    #define invJB9();   PORTToggleBits(IOPORT_D, JB9_bit) // RD1
    #define invJB10();  PORTToggleBits(IOPORT_D, JB10_bit) // RC13

#endif	/* PMOD_H */

