/***************************************************************************/
/** Descriptive File Name: lab3.h - LCD character control using bit-banging

  @ Author
    Richard Wall
 
  @ Date
    Created:    August 12, 2013
    Revised:    February 4, 2014
				December 15, 2015 - MPLAB X v2.26 - XC32 1.34 
    Verified:   May 16, 2017
  
  @Company
    Digilent Inc.

   @File Name
    lab3.h

  @Development Environment
    MPLAB X IDE x3.61 - http://www.microchip.com/mplab/mplab-x-ide 
	XC32 1.43 - http://www.microchip.com/mplab/compilers
	PLIB 3/7/20162 - http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library

  @Summary
    Demonstration of bit-bang interface with a character LCD

  @Description
    This project is an application to test the control of a 
    character LCD. Define WRITE_LCD_TEST to run the LCD text
    writing capability. Define TIME_LCD_TEST to run a program that
    allows easy observing the handshaking signals.  Refer to
    LCDBBlib.c for specific LCD operations.
    
    This programming uses bit banging for LCD control
 
**/
#ifndef __LAB3_PMP_H__
    #define __LAB3_PMP_H__

#define WRITE_LCD_TEST      // Text writing to LCD
// #define TIME_LCD_TEST    // Handshaking timing
#endif

// End of LAB3.h
