/* ************************************************************************** */
/** Descriptive File Name - Running the accelerometer through I2C
  @ Author
    Richard Wall
 
  @ Date
    Created:    June 21, 2016
    Verified:   May 17, 2017

  @Company
    Digilent Inc.      

  @File Name
    Lab4d.h

  @Development Environment
    MPLAB X IDE x3.61 - http://www.microchip.com/mplab/mplab-x-ide 
	XC32 1.43 - http://www.microchip.com/mplab/compilers
	PLIB 3/7/20162 - http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library

  @Summary
    Demonstration of MMA8652FC accelerometer interface using I2C 

  @Description
    The #define statements and macro C code provide high level access to the 
    Basys MX3 Trainer boards switches, push buttons, and LEDs as well as analog
    inputs.
    
 */
/* ************************************************************************** */

#ifndef __LAB4D_H__
    #define __LAB4D_H__

    #define ON          1
    #define OFF         0
    #define LOOP_DELAY  1000

#endif
