/* ************************************************************************** */
/** Descriptive File Name - Controlling a motor through UART
  @ Author
    Richard Wall
 
  @ Date
    Created:    unknown
	Verified:	unknown

  @Company
    Digilent Inc.      

  @File Name
    Lab6.h

  @Development Environment
    MPLAB X IDE x3.61 - http://www.microchip.com/mplab/mplab-x-ide 
	XC32 1.43 - http://www.microchip.com/mplab/compilers
	PLIB 3/7/20162 - http://www.microchip.com/SWLibraryWeb/product.aspx?product=PIC32%20Peripheral%20Library

  @Summary
    Motor control macros and defintions for UART control

  @Description
    The #define statements provide high level access to the commonly used UART control characters and values
    
 */
/* ************************************************************************** */

#ifndef __LAB6_PMP_H__
    #define __LAB6_PMP_H__

//Terminal count, size definitions, and misc definitions
    #define MAX_COUNTER 9           // The max count on the displayed counter
    #define UPDATE_DELAY 250         // Delay before the main loop starts over
    #define INITIAL     0           // Initial count point for displayed counter
    #define LOW         0
    #define HIGH        1
    #define CR          0x0D        // "Carriage Return": Cursor moves to position 1
    #define LF          0x0A        // "Line Feed": Clear display, move to position 1
    #define FF          0x0C        // "Form Feed": Same as LF
    #define OUTPUT      0xFF        // For use with the data register
    #define TIME_TO_WAIT 10         // For Fixing the upper bound of a wait time

#endif


// End of LAB3.h

