/* 
 * File:   main.c for Lab 7a
 * Author: rwall
 *
 * Created;     April 30, 2016, 9:58 AM
 * Modified:    February 19, 2017        
 *
 * Description: Audio signal generator
 *
 */
#include "config_bits.h"
#include "hardware.h"
#include <plib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdint.h>

#include "LCDlib.h"
#include "audio.h"
#include "led7.h"
/*
 * 
 */

char LineOne[] = "Tone Generator";
char frequency[16];
extern int16_t led_value;
extern BOOL led_flag;

int main(void)
{
int tone_sel;
int sw1 = 0;
int hz = 0;

    Hardware_Setup();
    initLCD();  
    audio_init();
    seg7_init();
    
    clrLCD();
    putsLCD( LineOne);
    setLCDC(LCD_LINE2);             // Position cursor to second line  
    putsLCD( "Feb. 19, 2017");
    DelayMs(1000);
    clrLCD();                       // Erase LCD
    putsLCD( "Set Switches");
    setLCDC(LCD_LINE2);             // Position cursor to second line
    putsLCD( "Push BTND");
    DelayMs(100);
    putsLCD( "..now!");
   
    while(1)
    {
        if(BNTD())    
        {
            led_flag = TRUE;
            sw1 = Switch2Binary();
            switch(sw1)
            {
                case 1:
                    tone_sel = 1;
                    strcpy(frequency,"500 Hz");
                    led_value = 500;
                    break;
                case 2:
                    tone_sel = 2;
                    strcpy(frequency,"1500 Hz");
                    led_value = 1500;
                    break;
                case 4:
                    tone_sel = 3;
                    strcpy(frequency,"2500 Hz");
                    led_value = 2500;
                    break;
                case 8:
                    tone_sel = 4;
                    strcpy(frequency,"3500 Hz");
                    led_value = 3500;
                    break;
                case 16:
                    tone_sel = 5;
                    strcpy(frequency,"4500 Hz");
                    led_value = 4500;
                    break;
                case 32:
                    tone_sel = 6;
                    strcpy(frequency,"5500 Hz");
                    led_value = 5500;
                    break;
                case 64:
                    tone_sel = 7;
                    strcpy(frequency,"6500 Hz");
                    led_value = 6500;
                    break;
                case 128:
                    tone_sel = 8;
                    strcpy(frequency,"7500 Hz");
                    led_value = 7500;
                    break;
                default:
                    strcpy(frequency,"None Selected");
                    tone_sel = 0;
                    led_value = 0;
            }
            if(tone_sel)
            {
                start_tones(tone_sel);
                clrLCD();
                putsLCD( LineOne);
                gotoLCD(16);
                putsLCD(frequency);
                DelayMs(5000);
            }
            led_flag = FALSE;
            start_tones(0);
            DelayMs(50);
            while(BNTD());
        }       
    }
    return (EXIT_FAILURE);
}

// End of main.c
